Create a new gateway
curl --request POST \
--url https://api.quiva.ai/gateway \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "My API Gateway",
"description": "Gateway for my service APIs",
"active": true
}
'import requests
url = "https://api.quiva.ai/gateway"
payload = {
"name": "My API Gateway",
"description": "Gateway for my service APIs",
"active": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'My API Gateway',
description: 'Gateway for my service APIs',
active: true
})
};
fetch('https://api.quiva.ai/gateway', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"body": {
"name": "My API Gateway",
"description": "Gateway for my service APIs",
"url": "https://abc123.quiva.ai",
"subject": "ms.gateway.abcdef123456.gateway",
"active": true,
"timeout": 30000,
"limit": {
"request": 10000,
"time": 1000
},
"modified": 1713531894,
"type": "created"
},
"metadata": {
"subject": "ms.gateway.abcdef123456.gateway"
}
}{
"error": "Invalid request parameters"
}Gateways
Create a new gateway
Creates a new gateway with a unique topic and URL.
POST
/
gateway
Create a new gateway
Authorizations
bearer_authapi_key_auth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Name of the gateway
Example:
"My API Gateway"
Whether the gateway is active
Example:
true
Description of the gateway
Example:
"Gateway for my service APIs"
List of middleware to be applied to the gateway
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Timeout in milliseconds for gateway requests
Example:
30000
⌘I